package comic

import (
	"net/http"

	"gitlab.com/tpeetz-kontor/kontor-go/cmd/pkg/context/comic/routing"
	"gitlab.com/tpeetz-kontor/kontor-go/cmd/pkg/infrastructure/app"
)

func BuildComicService(app *app.Application) {
	// Create our Handler
	handler := routing.NewHandler(app)

	// Create a sub router for this service
	router := app.Router.Methods(http.MethodGet).Subrouter()

	// Register our service routes
	router.HandleFunc("/comics/comic", handler.ComicList).Name("comics:comicList")
}
